SKIPMOUNT=false
PROPFILE=false
POSTFSDATA=false
LATESTARTSERVICE=false
REPLACE=""
print_modname() {
  echo " **************************************** "
  echo ""
  echo "  Delete cloud control "
  echo " "
  echo "  Delete cloud control only, not temperature control. "
  echo " "
}
on_install() {
echo " **************************************** "
echo ""
echo "  ★是否前往酷安关注★ "
echo ""
echo "  + 音量加：关注（建议） "
echo ""
echo "  - 音量减：不关注 "
echo ""
volume=1
action=1
sleep 0.75
echo "  请根据提示按音量键进行选择！"
echo ""
while [ $volume == 1 ]; do
action=`getevent -lqc 1`
if [[ "${action}" == "*KEY_VOLUMEUP*" ]];then 
volume=0
echo "  感谢关注 "
coolapkTesting=`pm list package | grep -w 'com.coolapk.market'`
if [[ "$coolapkTesting" != "" ]];then
am start -d 'coolmarket://u/11696005' >/dev/null 2>&1
fi
elif [[ "${action}" == "*KEY_VOLUMEDOWN*" ]];then
volume=0
echo "  真的不关注嘛 "
fi
done

unzip -o "$ZIPFILE" 'system/*' -d $MODPATH >&2
}
